> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Follows to Group

> Add follows to a group

## 添加关注项

**URL**: `/v1/following/groups/{group_id}/follows`\
**方法**: `POST`\
**描述**: 向关注组添加关注项

### 请求参数

| 参数名       | 类型  | 描述     |
| --------- | --- | ------ |
| group\_id | str | 关注组 ID |

### 请求体

| 参数名            | 类型                 | 描述        |
| -------------- | ------------------ | --------- |
| follow\_values | list\[FollowValue] | 要添加的关注项列表 |

### 响应参数

| 参数名     | 类型  | 描述     |
| ------- | --- | ------ |
| message | str | 操作结果消息 |


## OpenAPI

````yaml POST /v1/following/groups/{group_id}/follows
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/following/groups/{group_id}/follows:
    post:
      tags:
        - openapi-following-group
      summary: Add Follows to Group
      description: Add follows to a group
      operationId: add_follows_to_group
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            title: Group Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FollowGroupMemberUpdateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    FollowGroupMemberUpdateRequest:
      type: object
      properties:
        follow_values:
          type: array
          items:
            $ref: '#/components/schemas/FollowValue'
          title: Follow Values
          description: List of follow values
      required:
        - follow_values
      title: FollowGroupMemberUpdateRequest
      description: Request to update follow group members
    StatusMessage:
      properties:
        status:
          type: boolean
          title: Status
          default: true
        message:
          type: string
          title: Message
          default: success
      type: object
      title: StatusMessage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FollowValue:
      type: object
      properties:
        follow_type:
          type: integer
          title: Follow Type
          description: Follow type (1=company, 2=channel)
        follow_value:
          type: string
          title: Follow Value
          description: Follow value (e.g., US:AAPL, HK:00700)
      required:
        - follow_type
        - follow_value
      title: FollowValue
      description: Follow value definition
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````